Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest
Interface LoadTestAssertion

All Superinterfaces:
  PropertyChangeNotifier

All Known Implementing Classes:
  AbstractLoadTestAssertion, MaxErrorsAssertion, TestStepAverageAssertion, TestStepMaxAssertion, TestStepStatusAssertion, TestStepTpsAssertion

    public interface LoadTestAssertion

extends PropertyChangeNotifier

Assertion for LoadTest runs

Author:
  Ole.Matzura

Field Summary
`static java.lang.String` | `ALL_TEST_STEPS`
`static java.lang.String` | `ANY_TEST_STEP`
`static java.lang.String` | `CONFIGURATION_PROPERTY`
`static java.lang.String` | `ICON_PROPERTY`
`static java.lang.String` | `NAME_PROPERTY`

Method Summary
`java.lang.String` | `assertResult(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestStepResult result, TestRunner testRunner, TestRunContext runContext)`
`java.lang.String` | `assertResults(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext)`
`org.apache.xmlbeans.XmlObject` | `getConfiguration()`
`java.lang.String` | `getDescription()`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTargetStep()`
`void` | `release()`
`void` | `setTargetStep(java.lang.String name)`
`void` | `updateConfiguration(com.eviware.soapui.config.LoadTestAssertionConfig configuration)`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### NAME_PROPERTY

    static final java.lang.String NAME_PROPERTY

### ICON_PROPERTY

    static final java.lang.String ICON_PROPERTY

### CONFIGURATION_PROPERTY

    static final java.lang.String CONFIGURATION_PROPERTY

### ALL_TEST_STEPS

    static final java.lang.String ALL_TEST_STEPS

See Also:
  Constant Field Values

### ANY_TEST_STEP

    static final java.lang.String ANY_TEST_STEP

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

### getIcon

    javax.swing.ImageIcon getIcon()

### getConfiguration

    org.apache.xmlbeans.XmlObject getConfiguration()

### updateConfiguration

    void updateConfiguration(com.eviware.soapui.config.LoadTestAssertionConfig configuration)

### assertResult

    java.lang.String assertResult(LoadTestRunner loadTestRunner,
                                  LoadTestRunContext context,
                                  TestStepResult result,
                                  TestRunner testRunner,
                                  TestRunContext runContext)

### assertResults

    java.lang.String assertResults(LoadTestRunner loadTestRunner,
                                   LoadTestRunContext context,
                                   TestRunner testRunner,
                                   TestRunContext runContext)

### getTargetStep

    java.lang.String getTargetStep()

### setTargetStep

    void setTargetStep(java.lang.String name)

### getDescription

    java.lang.String getDescription()

### release

    void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.